MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024938Community[OCCT] OCCT:Meshpublic2014-05-20 13:212015-05-14 15:32
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2012OS Version64 bit
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0024938: BRepMesh_IncrementalMesh hangs
DescriptionBRepMesh_IncrementalMesh never finishes meshing the provided shape.

The method 'checkWiresIntersection' in BRepMeh_Classifier.cxx i a recursive call changes the loop constraints and the loop never finishes.
Steps To Reproduce# Draw reproducer
pload ALL
restore 27773.brep a
tclean a
incmesh a 1.5 -relative

# initial C++ code for reproducing of the problem
TopoDS_Shape aShape;
BRep_Builder aBuilder;
Standard_Boolean result = BRepTools::Read(aShape, "27773.brep", aBuilder);
BRepMesh_IncrementalMesh M(aShape, 1.5, Standard_True, 0.5);
TagsNo tags attached.
Test case numberbugs mesh bug24938
Attached Files? file icon 27773.brep (17,632 bytes) 2014-05-20 13:21

- Relationships
has duplicate 0025281closedbugmaster Community BRepMesh_IncrementalMesh does not return 

-  Notes
(0033233)
abv (manager)
2014-10-16 20:12

Oleg, please consider extending command incmesh in DRAW by parameters allowing to specify relative deflection mode and angular deflection
(0034648)
oan (developer)
2014-11-24 16:41

Dear Bugmaster,

Reported problem is not reproduced on current master, BRepMesh does not fall into infinite recursion.

Please create corresponding test case.
(0035137)
git (administrator)
2014-12-08 14:31

Branch CR24938 has been created by apn.

SHA-1: 5e5293caab59c504326dd5b1919944eebcce3f83


Detailed log of new commits:

Author: apn
Date: Mon Dec 8 14:31:10 2014 +0300

    0024938: BRepMesh_IncrementalMesh hangs
    
    Added test case bugs/mesh/bug24938
(0035140)
apn (administrator)
2014-12-08 15:51

Test case:
bugs mesh bug24938 - OK
http://occt-tests/24938-linux/bugs/mesh/bug24938.html [^]
http://occt-tests/24938-linux-debug/bugs/mesh/bug24938.html [^]
http://occt-tests/24938-wnt/bugs/mesh/bug24938.html [^]
http://occt-tests/24938-wnt-debug/bugs/mesh/bug24938.html [^]

please, review.
(0035257)
oan (developer)
2014-12-10 13:13
edited on: 2014-12-10 13:18

Dear Andrey,

could you please add check for number of triangles and nodes (please use "trinfo" command) and if they are zeros, notify about mesh problem (should be suppressed by TODOs) to mark this issue as problematic. I also propose to display shape in shading, i.e. to add command "vsetdispmode 1". Currently, viewer should be empty as far as shape does not contain mesh, however in case if this problem will be resolved image difference will notify about changes.

(0035318)
apn (administrator)
2014-12-11 12:14
edited on: 2014-12-11 12:33

All remarks were corrected.
Test case:
bugs mesh bug24938 - BAD (known problem)
http://occt-tests/24938-linux/bugs/mesh/bug24938.html [^]
http://occt-tests/24938-linux-debug/bugs/mesh/bug24938.html [^]
http://occt-tests/24938-wnt/bugs/mesh/bug24938.html [^]
http://occt-tests/24938-wnt-debug/bugs/mesh/bug24938.html [^]

please, review.

(0035324)
git (administrator)
2014-12-11 12:33

Branch CR24938 has been updated by apn.

SHA-1: 1b725c69234a2337055beed79d881693a6c1d6ec


Detailed log of new commits:

Author: apn
Date: Thu Dec 11 12:32:49 2014 +0300

    Small corrections in test case bugs/mesh/bug24938

(0035326)
oan (developer)
2014-12-11 12:51

Thank you, it is Ok for me.
(0036572)
git (administrator)
2015-01-26 12:35

Branch CR24938 has been deleted by inv.

SHA-1: 1b725c69234a2337055beed79d881693a6c1d6ec

- Related Changesets
occt: master f05f2e34
Timestamp: 2014-12-11 14:22:01
Author: apn
Committer: bugmaster
Details ] Diff ]
0024938: BRepMesh_IncrementalMesh hangs

Added test case bugs/mesh/bug24938

Small corrections in test case bugs/mesh/bug24938
add - tests/bugs/mesh/bug24938 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-20 13:21 Pawel New Issue
2014-05-20 13:21 Pawel Assigned To => ifv
2014-05-20 13:21 Pawel File Added: 27773.brep
2014-05-20 13:23 Pawel Steps to Reproduce Updated View Revisions
2014-05-21 13:13 abv Assigned To ifv => azn
2014-05-21 13:13 abv Status new => assigned
2014-05-26 16:18 oan Category OCCT:Modeling Algorithms => OCCT:Mesh
2014-07-03 17:54 oan Relationship added related to 0024968
2014-10-16 19:50 oan Relationship added has duplicate 0025281
2014-10-16 20:12 abv Note Added: 0033233
2014-10-16 22:32 abv Assigned To azn => omy
2014-10-16 22:32 abv Assigned To omy => oan
2014-10-29 06:53 abv Target Version 6.8.0 => 7.1.0
2014-11-24 16:34 oan Steps to Reproduce Updated View Revisions
2014-11-24 16:40 oan Assigned To oan => bugmaster
2014-11-24 16:41 oan Note Added: 0034648
2014-12-03 11:51 oan Status assigned => feedback
2014-12-04 10:09 bugmaster Assigned To bugmaster => apn
2014-12-08 14:31 git Note Added: 0035137
2014-12-08 15:51 apn Note Added: 0035140
2014-12-08 15:52 apn Test case number => bugs mesh bug24938
2014-12-08 15:52 apn Assigned To apn => oan
2014-12-10 13:13 oan Note Added: 0035257
2014-12-10 13:13 oan Assigned To oan => apn
2014-12-10 13:13 oan Status feedback => assigned
2014-12-10 13:17 oan Note Edited: 0035257 View Revisions
2014-12-10 13:18 oan Note Edited: 0035257 View Revisions
2014-12-11 12:14 apn Note Added: 0035318
2014-12-11 12:33 git Note Added: 0035324
2014-12-11 12:33 apn Assigned To apn => oan
2014-12-11 12:33 apn Status assigned => feedback
2014-12-11 12:33 apn Note Edited: 0035318 View Revisions
2014-12-11 12:51 oan Note Added: 0035326
2014-12-11 12:51 oan Assigned To oan => apn
2014-12-11 12:51 oan Status feedback => reviewed
2014-12-11 14:57 apn Status reviewed => tested
2014-12-11 14:58 mkv Assigned To apn => bugmaster
2014-12-16 16:46 bugmaster Changeset attached => occt master f05f2e34
2014-12-16 16:46 bugmaster Status tested => verified
2014-12-16 16:46 bugmaster Resolution open => fixed
2015-01-19 16:23 bugmaster Target Version 7.1.0 => 6.9.0
2015-01-26 12:35 git Note Added: 0036572
2015-05-14 15:29 user533 Status verified => closed
2015-05-14 15:32 user533 Fixed in Version => 6.9.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker